version: '3'

services:
  app:
    restart: unless-stopped
    build: ./app
    image: lorenzostorchi/flask_devops_project_app
    ports:
      - "8080:8080"
    depends_on:
      - db
    environment:
      - POSTGRES_PASSWORD
      - POSTGRES_USER
      - POSTGRES_DB
      - FLASK_APP
      - DATABASE

  db:
    restart: unless-stopped
    image: postgres:15.0-alpine
    ports:
      - "5432:5432"
    volumes:
      - postgres_data:/var/lib/postgresql/data
    environment:
      - POSTGRES_PASSWORD
      - POSTGRES_USER
      - POSTGRES_DB

  nginx:
    restart: unless-stopped
    build: ./nginx
    image: lorenzostorchi/flask_devops_project_nginx
    depends_on:
      - app
    ports:
      - "80:80"

volumes:
  postgres_data: